%define tarball_version 3_9_0
%define nightly_version nightly1

Name:           jamulus
Version:        3.9.1
Release:        %{?nightly_version: 0.1.%{nightly_version}}%{!?nightly_version:1}%{?dist}
Summary:        Low-latency internet connection tool for real-time jam sessions
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            https://jamulus.io/
Source0:        https://github.com/jamulussoftware/jamulus/archive/r%{tarball_version}/%{name}-r%{tarball_version}%{?nightly_version:%{nightly_version}}.tar.gz
Source10:       %{name}-public.service
Source11:       %{name}-private.service
Source12:       %{name}-newrec.service
Source13:       %{name}-togglerec.service
Source20:       %{name}.sysconfig
Source21:       %{name}.firewalld
BuildRequires:  ImageMagick
BuildRequires:  gcc-c++
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  pkgconfig
BuildRequires:  systemd-rpm-macros
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(opus)
Requires:       jack-audio-connection-kit
Requires:       jack-audio-connection-kit-dbus
%{?systemd_requires}

%description
The Jamulus software enables musicians to perform real-time jam sessions over
the internet. There is one server running the Jamulus server software which
collects the audio data from each Jamulus client software, mixes the audio data
and sends the mix back to each client.

%prep
%autosetup -p1 -n %{name}-r%{tarball_version}%{?nightly_version:%{nightly_version}}

%build
%qmake_qt5 CONFIG+=opus_shared_lib CONFIG+=disable_version_check
%make_build

%install
install -D -m0755 Jamulus %{buildroot}%{_bindir}/Jamulus
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install distributions/jamulus-server.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}-server.svg
install distributions/jamulus.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

# desktop file
#sed -i -e 's|$$TARGET|Jamulus|g' distributions/jamulus.desktop.in
#sed -i -e 's|Icon=jamulus|Icon=Jamulus|g' distributions/jamulus.desktop.in
install -D -m 0644 distributions/jamulus.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 0644 distributions/jamulus-server.desktop %{buildroot}%{_datadir}/applications/%{name}-server.desktop

%files
%doc README.md ChangeLog
%license COPYING
%{_bindir}/Jamulus
%{_datadir}/applications/%{name}{,-server}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}{,-server}.svg

%changelog
* Sun Aug 14 2022 Tomas Chang <changyp6@gmail.com> - 3.9.0nightly1
- Initial build

